glab(1)

NAME
glab-repo-members-add - Add a member to the project.

SYNOPSIS
glab repo members add [flags]

DESCRIPTION
Add a member to the project with the specified role.

Roles:

•   guest (10): Can view the project.

•   reporter (20): Can view and create issues.

•   developer (30): Can push to non-protected branches.

•   maintainer (40): Can manage the project.

•   owner (50): Full access to the project.

For custom roles, use --role-id with the ID of a custom role defined in the project or group. Note: If the custom role does not exist an error is returned.

OPTIONS
-e, --expires-at=""
    Expiration date for the membership (YYYY-MM-DD)

-R, --repo=""
    Select another repository. Can use either OWNER/REPO or GROUP/NAMESPACE/REPO format. Also accepts full URL or Git URL.

-r, --role="developer"
    Role for the user (guest, reporter, developer, maintainer, owner)

--role-id=0
    ID of a custom role defined in the project or group.

-u, --user-id=0
    User ID instead of username.

--username=""
    Username instead of user-id.

OPTIONS INHERITED FROM PARENT COMMANDS
-h, --help[=false]
    Show help for this command.

EXAMPLE
    # Add a user as a developer
    glab repo members add --username=john.doe --role=developer
    # Add a user as a maintainer with expiration date
    glab repo members add --username=jane.smith --role=maintainer --expires-at=2024-12-31
    # Add a user by ID
    glab repo members add --user-id=123 --role=reporter
    # Add a user with a custom role
    glab repo members add --username=john.doe --role-id=101

SEE ALSO
glab-repo-members(1)